# $Revision: 1.20 $, $Date: 2007-11-20 00:34:36 $
Summary:	802.11 WEP Encryption Cracking Tool
Summary(pl.UTF-8):	Program do łamania szyfrowania WEP dla protokołu 802.11
Name:		airsnort
Version:	0.2.7e
Release:	1
License:	GPL v2
Group:		Networking
Source0:	http://dl.sourceforge.net/airsnort/%{name}-%{version}.tar.gz
# Source0-md5:	8f852bd872fa7d352c14781010c25ef4
URL:		http://airsnort.shmoo.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AirSnort is a wireless LAN (WLAN) tool that recovers encryption keys.
It operates by passively monitoring transmissions, computing the
encryption key when enough packets have been gathered.

%description -l pl.UTF-8
AirSnort jest narzędziem dla sieci bezprzewodowych (WLAN) pozwalającym
na uzyskiwanie kluczy szyfrowania. Działa pasywnie monitorując
transmisję i obliczając klucz po przechwyceniu wystarczającej ilości
pakietów.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.decrypt TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: airsnort.spec,v $
Revision 1.20  2007-11-20 00:34:36  glen
- rel 1

Revision 1.19  2007-02-12 21:23:46  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.17  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.16  2005/01/12 01:16:02  zawadaa
- update to 0.2.7e

Revision 1.15  2004/12/26 18:55:07  qboosh
- sf workaround

Revision 1.14  2004/12/26 12:14:55  speedo
- update to 0.2.7c

Revision 1.13  2004/11/27 15:17:06  zbyniu
- BR: pkgconfig

Revision 1.12  2004/11/01 12:17:39  speedo
- update to 0.2.6

Revision 1.11  2004/09/09 20:04:49  bartowl
- BR gtk+-devel -> gtk+2-devel

Revision 1.10  2004/06/04 12:34:00  kali
- cleanups, removed BR: gettext-devel

Revision 1.9  2004/06/02 18:49:45  adasi
- arrgh... md5 sum fixed

Revision 1.8  2004/06/02 18:38:02  adasi
- up to 0.2.4a
- gettextize removed - it's not working, fix unknown

Revision 1.7  2003/08/06 16:06:47  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.6  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.5  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/16 15:42:08  qboosh
- added Source0 URL

Revision 1.2  2003/04/14 22:25:26  qboosh
- cosmetics, removed Ra-specific _prefix, BR: ac,am,gt

Revision 1.1  2003/04/01 19:25:08  alchemyx
- first release, STBR
